#!/bin/sh
# This script was generated using Makeself 2.2.0

ORIG_UMASK=`umask`
umask 077

CRCsum="4152408081"
MD5="6dcd8077cbda81a76a6d222e2ee39b00"
TMPROOT=${TMPDIR:=/tmp}
USER_PWD="$PWD"; export USER_PWD

label="Porteus language selection"
script="./gtk-language-selection"
scriptargs=""
licensetxt=""
helpheader=''
targetdir="ms"
filesizes="17444"
keep="n"
quiet="n"

print_cmd_arg=""
if type printf > /dev/null; then
    print_cmd="printf"
elif test -x /usr/ucb/echo; then
    print_cmd="/usr/ucb/echo"
else
    print_cmd="echo"
fi

unset CDPATH

MS_Printf()
{
    $print_cmd $print_cmd_arg "$1"
}

MS_PrintLicense()
{
  if test x"$licensetxt" != x; then
    echo "$licensetxt"
    while true
    do
      MS_Printf "Please type y to accept, n otherwise: "
      read yn
      if test x"$yn" = xn; then
        keep=n
	eval $finish; exit 1
        break;
      elif test x"$yn" = xy; then
        break;
      fi
    done
  fi
}

MS_diskspace()
{
	(
	if test -d /usr/xpg4/bin; then
		PATH=/usr/xpg4/bin:$PATH
	fi
	df -kP "$1" | tail -1 | awk '{ if ($4 ~ /%/) {print $3} else {print $4} }'
	)
}

MS_dd()
{
    blocks=`expr $3 / 1024`
    bytes=`expr $3 % 1024`
    dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | \
    { test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks ; \
      test $bytes  -gt 0 && dd ibs=1 obs=1024 count=$bytes ; } 2> /dev/null
}

MS_dd_Progress()
{
    if test x"$noprogress" = xy; then
        MS_dd $@
        return $?
    fi
    file="$1"
    offset=$2
    length=$3
    pos=0
    bsize=4194304
    while test $bsize -gt $length; do
        bsize=`expr $bsize / 4`
    done
    blocks=`expr $length / $bsize`
    bytes=`expr $length % $bsize`
    (
        dd ibs=$offset skip=1 2>/dev/null
        pos=`expr $pos \+ $bsize`
        MS_Printf "     0%% " 1>&2
        if test $blocks -gt 0; then
            while test $pos -le $length; do
                dd bs=$bsize count=1 2>/dev/null
                pcent=`expr $length / 100`
                pcent=`expr $pos / $pcent`
                if test $pcent -lt 100; then
                    MS_Printf "\b\b\b\b\b\b\b" 1>&2
                    if test $pcent -lt 10; then
                        MS_Printf "    $pcent%% " 1>&2
                    else
                        MS_Printf "   $pcent%% " 1>&2
                    fi
                fi
                pos=`expr $pos \+ $bsize`
            done
        fi
        if test $bytes -gt 0; then
            dd bs=$bytes count=1 2>/dev/null
        fi
        MS_Printf "\b\b\b\b\b\b\b" 1>&2
        MS_Printf " 100%%  " 1>&2
    ) < "$file"
}

MS_Help()
{
    cat << EOH >&2
${helpheader}Makeself version 2.2.0
 1) Getting help or info about $0 :
  $0 --help   Print this message
  $0 --info   Print embedded info : title, default target directory, embedded script ...
  $0 --lsm    Print embedded lsm entry (or no LSM)
  $0 --list   Print the list of files in the archive
  $0 --check  Checks integrity of the archive

 2) Running $0 :
  $0 [options] [--] [additional arguments to embedded script]
  with following options (in that order)
  --confirm             Ask before running embedded script
  --quiet		Do not print anything except error messages
  --noexec              Do not run embedded script
  --keep                Do not erase target directory after running
			the embedded script
  --noprogress          Do not show the progress during the decompression
  --nox11               Do not spawn an xterm
  --nochown             Do not give the extracted files to the current user
  --target dir          Extract directly to a target directory
                        directory path can be either absolute or relative
  --tar arg1 [arg2 ...] Access the contents of the archive through the tar command
  --                    Following arguments will be passed to the embedded script
EOH
}

MS_Check()
{
    OLD_PATH="$PATH"
    PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}
	MD5_ARG=""
    MD5_PATH=`exec <&- 2>&-; which md5sum || command -v md5sum || type md5sum`
    test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which md5 || command -v md5 || type md5`
	test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which digest || command -v digest || type digest`
    PATH="$OLD_PATH"

    if test x"$quiet" = xn; then
		MS_Printf "Verifying archive integrity..."
    fi
    offset=`head -n 506 "$1" | wc -c | tr -d " "`
    verb=$2
    i=1
    for s in $filesizes
    do
		crc=`echo $CRCsum | cut -d" " -f$i`
		if test -x "$MD5_PATH"; then
			if test x"`basename $MD5_PATH`" = xdigest; then
				MD5_ARG="-a md5"
			fi
			md5=`echo $MD5 | cut -d" " -f$i`
			if test x"$md5" = x00000000000000000000000000000000; then
				test x"$verb" = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
			else
				md5sum=`MS_dd_Progress "$1" $offset $s | eval "$MD5_PATH $MD5_ARG" | cut -b-32`;
				if test x"$md5sum" != x"$md5"; then
					echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
					exit 2
				else
					test x"$verb" = xy && MS_Printf " MD5 checksums are OK." >&2
				fi
				crc="0000000000"; verb=n
			fi
		fi
		if test x"$crc" = x0000000000; then
			test x"$verb" = xy && echo " $1 does not contain a CRC checksum." >&2
		else
			sum1=`MS_dd_Progress "$1" $offset $s | CMD_ENV=xpg4 cksum | awk '{print $1}'`
			if test x"$sum1" = x"$crc"; then
				test x"$verb" = xy && MS_Printf " CRC checksums are OK." >&2
			else
				echo "Error in checksums: $sum1 is different from $crc" >&2
				exit 2;
			fi
		fi
		i=`expr $i + 1`
		offset=`expr $offset + $s`
    done
    if test x"$quiet" = xn; then
		echo " All good."
    fi
}

UnTAR()
{
    if test x"$quiet" = xn; then
		tar $1vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
    else

		tar $1f - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
    fi
}

finish=true
xterm_loop=
noprogress=n
nox11=n
copy=none
ownership=y
verbose=n

initargs="$@"

while true
do
    case "$1" in
    -h | --help)
	MS_Help
	exit 0
	;;
    -q | --quiet)
	quiet=y
	noprogress=y
	shift
	;;
    --info)
	echo Identification: "$label"
	echo Target directory: "$targetdir"
	echo Uncompressed size: 212 KB
	echo Compression: xz
	echo Date of packaging: Sat Apr 28 18:31:14 Local time zone must be set--see zic manual page 2018
	echo Built with Makeself version 2.2.0 on linux-gnu
	echo Build command was: "/usr/local/bin/makeself.sh \\
    \"--xz\" \\
    \"./ms\" \\
    \"gtk-language-selection\" \\
    \"Porteus language selection\" \\
    \"./gtk-language-selection\""
	if test x"$script" != x; then
	    echo Script run after extraction:
	    echo "    " $script $scriptargs
	fi
	if test x"" = xcopy; then
		echo "Archive will copy itself to a temporary location"
	fi
	if test x"n" = xy; then
	    echo "directory $targetdir is permanent"
	else
	    echo "$targetdir will be removed after extraction"
	fi
	exit 0
	;;
    --dumpconf)
	echo LABEL=\"$label\"
	echo SCRIPT=\"$script\"
	echo SCRIPTARGS=\"$scriptargs\"
	echo archdirname=\"ms\"
	echo KEEP=n
	echo COMPRESS=xz
	echo filesizes=\"$filesizes\"
	echo CRCsum=\"$CRCsum\"
	echo MD5sum=\"$MD5\"
	echo OLDUSIZE=212
	echo OLDSKIP=507
	exit 0
	;;
    --lsm)
cat << EOLSM
No LSM.
EOLSM
	exit 0
	;;
    --list)
	echo Target directory: $targetdir
	offset=`head -n 506 "$0" | wc -c | tr -d " "`
	for s in $filesizes
	do
	    MS_dd "$0" $offset $s | eval "xz -d" | UnTAR t
	    offset=`expr $offset + $s`
	done
	exit 0
	;;
	--tar)
	offset=`head -n 506 "$0" | wc -c | tr -d " "`
	arg1="$2"
    if ! shift 2; then MS_Help; exit 1; fi
	for s in $filesizes
	do
	    MS_dd "$0" $offset $s | eval "xz -d" | tar "$arg1" - "$@"
	    offset=`expr $offset + $s`
	done
	exit 0
	;;
    --check)
	MS_Check "$0" y
	exit 0
	;;
    --confirm)
	verbose=y
	shift
	;;
	--noexec)
	script=""
	shift
	;;
    --keep)
	keep=y
	shift
	;;
    --target)
	keep=y
	targetdir=${2:-.}
    if ! shift 2; then MS_Help; exit 1; fi
	;;
    --noprogress)
	noprogress=y
	shift
	;;
    --nox11)
	nox11=y
	shift
	;;
    --nochown)
	ownership=n
	shift
	;;
    --xwin)
	if test "n" = n; then
		finish="echo Press Return to close this window...; read junk"
	fi
	xterm_loop=1
	shift
	;;
    --phase2)
	copy=phase2
	shift
	;;
    --)
	shift
	break ;;
    -*)
	echo Unrecognized flag : "$1" >&2
	MS_Help
	exit 1
	;;
    *)
	break ;;
    esac
done

if test x"$quiet" = xy -a x"$verbose" = xy; then
	echo Cannot be verbose and quiet at the same time. >&2
	exit 1
fi

if test x"$copy" \!= xphase2; then
    MS_PrintLicense
fi

case "$copy" in
copy)
    tmpdir=$TMPROOT/makeself.$RANDOM.`date +"%y%m%d%H%M%S"`.$$
    mkdir "$tmpdir" || {
	echo "Could not create temporary directory $tmpdir" >&2
	exit 1
    }
    SCRIPT_COPY="$tmpdir/makeself"
    echo "Copying to a temporary location..." >&2
    cp "$0" "$SCRIPT_COPY"
    chmod +x "$SCRIPT_COPY"
    cd "$TMPROOT"
    exec "$SCRIPT_COPY" --phase2 -- $initargs
    ;;
phase2)
    finish="$finish ; rm -rf `dirname $0`"
    ;;
esac

if test x"$nox11" = xn; then
    if tty -s; then                 # Do we have a terminal?
	:
    else
        if test x"$DISPLAY" != x -a x"$xterm_loop" = x; then  # No, but do we have X?
            if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
                GUESS_XTERMS="xterm gnome-terminal rxvt dtterm eterm Eterm xfce4-terminal lxterminal kvt konsole aterm terminology"
                for a in $GUESS_XTERMS; do
                    if type $a >/dev/null 2>&1; then
                        XTERM=$a
                        break
                    fi
                done
                chmod a+x $0 || echo Please add execution rights on $0
                if test `echo "$0" | cut -c1` = "/"; then # Spawn a terminal!
                    exec $XTERM -title "$label" -e "$0" --xwin "$initargs"
                else
                    exec $XTERM -title "$label" -e "./$0" --xwin "$initargs"
                fi
            fi
        fi
    fi
fi

if test x"$targetdir" = x.; then
    tmpdir="."
else
    if test x"$keep" = xy; then
	if test x"$quiet" = xn; then
	    echo "Creating directory $targetdir" >&2
	fi
	tmpdir="$targetdir"
	dashp="-p"
    else
	tmpdir="$TMPROOT/selfgz$$$RANDOM"
	dashp=""
    fi
    mkdir $dashp $tmpdir || {
	echo 'Cannot create target directory' $tmpdir >&2
	echo 'You should try option --target dir' >&2
	eval $finish
	exit 1
    }
fi

location="`pwd`"
if test x"$SETUP_NOCHECK" != x1; then
    MS_Check "$0"
fi
offset=`head -n 506 "$0" | wc -c | tr -d " "`

if test x"$verbose" = xy; then
	MS_Printf "About to extract 212 KB in $tmpdir ... Proceed ? [Y/n] "
	read yn
	if test x"$yn" = xn; then
		eval $finish; exit 1
	fi
fi

if test x"$quiet" = xn; then
	MS_Printf "Uncompressing $label"
fi
res=3
if test x"$keep" = xn; then
    trap 'echo Signal caught, cleaning up >&2; cd $TMPROOT; /bin/rm -rf $tmpdir; eval $finish; exit 15' 1 2 3 15
fi

leftspace=`MS_diskspace $tmpdir`
if test -n "$leftspace"; then
    if test "$leftspace" -lt 212; then
        echo
        echo "Not enough space left in "`dirname $tmpdir`" ($leftspace KB) to decompress $0 (212 KB)" >&2
        if test x"$keep" = xn; then
            echo "Consider setting TMPDIR to a directory with more free space."
        fi
        eval $finish; exit 1
    fi
fi

for s in $filesizes
do
    if MS_dd_Progress "$0" $offset $s | eval "xz -d" | ( cd "$tmpdir"; umask $ORIG_UMASK ; UnTAR xp ) 1>/dev/null; then
		if test x"$ownership" = xy; then
			(PATH=/usr/xpg4/bin:$PATH; cd "$tmpdir"; chown -R `id -u` .;  chgrp -R `id -g` .)
		fi
    else
		echo >&2
		echo "Unable to decompress $0" >&2
		eval $finish; exit 1
    fi
    offset=`expr $offset + $s`
done
if test x"$quiet" = xn; then
	echo
fi

cd "$tmpdir"
res=0
if test x"$script" != x; then
    if test x"$verbose" = x"y"; then
		MS_Printf "OK to execute: $script $scriptargs $* ? [Y/n] "
		read yn
		if test x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY; then
			eval "\"$script\" $scriptargs \"\$@\""; res=$?;
		fi
    else
		eval "\"$script\" $scriptargs \"\$@\""; res=$?
    fi
    if test "$res" -ne 0; then
		test x"$verbose" = xy && echo "The program '$script' returned an error code ($res)" >&2
    fi
fi
if test x"$keep" = xn; then
    cd $TMPROOT
    /bin/rm -rf $tmpdir
fi
eval $finish; exit $res
7zXZ  ִF !   XgC] }J>y&Y3P=	U8L+qXkZt\StmLV
Su*Ad$7BDw3d*,UOwa wj1wr(<[3-0/W\
SpC[<FC:+]̯ԕAJ}slʦrĿko@6Π\maj6[ՔPpؾLl@S^O^awwN Jי;X!%ၘB&FXeح tzRT#G6b7n6ڌY
m|@TIK!׀W#G0%N̞Z奿`/qݓ8Y>,|e]͠"}GL>1޵Ƒ;ѨMThz(a;K깵&5_

/0cICo跈O\|Vm	&ߢ^KkJ$]x15۫clʯ*ڰV .$ޒz9"U(%`;N6qע "IJH(v&w
MI8 ZVHo`9ku:+3⶛t%g
hXznL*|3n"OIm"^ivdfީvf>??k5Ze0SoFuΝ$5Rb6lE%'IɎ5q'/EH̭1.GH+HKƘ+ݾ񅖠4|!&.o~U+ rs0k+AWE0PKW^ڵ36exV[d06¸pQ'9CDE#*	lD8hD\^H4^s1dsBrgPE1bЇR1mObZ9l$ Wse#`=8\A^c8&:A)lmv%gp^VZ8s^TgBA8\s0woǿ`fDj!g6JgET|gGNrh%-L, +_6N鰒2 o۽gA_vx_D"Z*B@{~e`ƥԙi6|Cdo}1VFVc$)ǉbL\WܕrhI-c_qDز
)5]M,
#cDOXk*ȱX#y_]'L L]α# Hs?L;^5PvXLh:agk#.	R.A*Sqk9'jvE=-HYiE"BJ7cD!טBt.!hm-_.n"DF(: kdt	)Z;WT:oqIKgy;W٫Y}0dUwW˜f{B?n0	'EKa93bB+</T!">'Qzfjpe5*?bdpo'hF&bC龜:NOqd(UxwfX^S.K:VQ/w
,1Jn+w	Pϖ٣\̓ػ<'EBӗi G`ޠ۲(Hj 1r
L!A\j |>LoWqnf~y/pV-O?LpE:Kye7 c,g=9<-8~&NB?u՚⚩{'@	Ӄ^4r#v<a8^ F3T,S"??R(X^` ,M2_c39 XmåLq=QN\bfՋV_ɃfL=]w8cT9l}DgB\X/cFAjW	,gˆ(siV!Qmm&xWc6RkE8J@Uk,Fy[r
>ZD$1̀I>_!d綦=\{٬h!sdMv)1Ιs=Y IOS	$;.bN6f(d!'}ȑuͳM+|Dib
l՚ɪ[FzeqƧy*h."gJS3
gb*g8}{' ŉχ8T^%۠9f#.Dg4RҮ3uB}I"a?`>1#bg2_j;,3d <э^YֿoWwWB5]A@TQ0FS*ˆ]i5{M\t]\	oDI0-yDLE<#coYV=
][C.t^M&mh?ӥ;7@ϺVWpUK[EtQsPt{jk3
+Β(Ntgs|/lcWXUH/kƵ laeZ1J^ÌxWo@Sa"X.tz[P9vk{Qܪ}"/ڑ9HoK[vm{@At":!<\=zqCcW)i'"u ۪M&ve٫U.@<+AVKI8'I@8q0{eT9쁾&WC>T`*̀HYv^bhC&r#F``Pk:XgNz[dܙo	xc5We(om񩺩\x w<Z7zlب4ˉ4~N,v܎8(jXĳhKe>ma&+xݣն
!j>pqo;OT=MayfR\TOby鳎	Pڒ{eO_'9&Vƹxt?ÉE+DT*mxԁJk2ASa
-w*~;`6%2uHNgL6V@!ssx5; d>ɏFdAH9NN
Eeq;i|>KywӷHT;rH5 o~8ٳPW}3V0lN!Wtp}uזh 1UUt|.I9:Igu emqh EMi[.H˱No
DvC"'NC9#XȌ`Dz:nyQX>N49M@i'.3FI9B]w]=?oX kK'tKn4Av7o0GIQ0{JP]"VͿ>WKO/¸I~Ke5kAHLMBݵqmÞJP3agwQ"u7&\tԺ⽤/f/{L4AVvaa9Og?g1x{gdh%	ll
Yx3yu`̣9"FEhQ <2,	>n>Je:훩D܂́1`-З@BιD0K1}ΤÚSHص2 9a8Dgrb~P;8\1(Ո%-MGr=:H\&Ҙ=d~qt<J bagS %"RҞekx.l^LQ,=˼p7
z365WG-iyй1K@ަkjz)T^YB{0ܦubX78s[Lh3c0a
uϩ ֜)+$ôY!wnLES+Vmtl"I&?H`.{=Mjn'<que GgrZ[OX?&^=!qLs0BgYܷuI!{1QC &H3qzǘo*Í߂1lVow;~Y\Z( a؍cHskd{E=49y1a {+*َv*Z96;_f^*WL聩*"6˼hg1]~ Oލ);LAO;βӪO\eB23Ik6
SH옐]"/FrƾIL?ﴭ]wtֹn#eWYi+nejpA{bޫl4WG:~] FA:5ˬZ`G->cY{&vvAi]1"1 7z҉<*@ն_a{@e)x	\iXb̍L@U2KC{B,ʺt 1 4_{UC(FDl{zeZ5.xV!u㈡o،z(:=9uٵ;ɄSxWwZG7p[atI7ùU@:H5cu`N
ވv}+m] $<<
7];fPC52
<lAv-;hϡ~dz*:Ci#sNd/(IXwhuI NȋoqѶ$l|Aڜdv4qVAذW&uMcXHʩb=]pL1輄$4(vCZRcTo:s;{o?NvE-?i3wrE)~[wꡆxALp5͒7Rz3W{HI!T% Uj [|AQ I3w'.M|VesɑJM΄LҗUevN2.i换P	[+-?+T?2cڰ	HNvC	:bֿ>-Wb؏mֺ=Wq'TVX~N:v%!9ǞF@s?ru>L Rm|&'oVz't8K:}MyP℃hkZr@人٨	=֎{|G7fE,UWmi%^ϮiN;&pBz{|',#`@/FEL?H KZR&IK1"e3bM|#?kc*%/691-ㅕ%dSVϨ2I}d:ROlK߰C46Q'U4e-2@]໖RÔisWϋ6J>mwAn	I3<Q<ۄ66u6D<nߛLA})$	w1-^w(6\+.߯ߩcE鶔!	!91cԍC:-$KA_=;xh_(KL}	5ժsӅ}n$y!dRkn}*nuVvB#&:/1qӀA ENxD bR9)#\2Bȥ7 DMyFb֏jהɬp7YCoUev#̴n=6Aa,Q"BΞWiX׽
kh:;<QYeOkȼlǾ yo8,uϔT%\ q~{g|79{:)ݧMv8mK=4|(6&E uwtU8}_>& |'gF޷Kزd$aU X5oLd׾Q'zSݺ`q4|i7/msMF-}V7k5(Q:R޶ezCkhAּWMb^d9v|VY22Ɠ\B13FG5f{
s1 J$z5W,b+JS'ޤt]CAz>p\,Pg0=.nx;Y x+T^0թ6)gƤYwd%0"ypAbI}L/]LXm"q.Flu45R(s:u)#3ISu F\xB`~++^VHqaç.w$Uߋ;'h*Zcc_4:<8ӵo~
`!j zzTj3ezE)) oښ+}zC:^9y|YW>\5Pq#};0r~cXƻs Fg8癔Ѥ?e,X>4J05$U& >B쑒 *OPSF̾tZT)40Az`]Yٺ6tNL_]ۮ<JjߪMD`$(JɥÊ@Ǆ}40]%:8vOk*-#+Iј&jd?-ah|*."T$u@s68ڌΎǒ$o.loc]˔_7xR<MM
5vQxr"ި*/y!cds>UUd]n,z)̢u$J}]Y&W=m!p?H,X@5/`+;3aV>]d(1pB%͚:<A)<Ô2뀣	Χty =giDqoq)9J"(5QT~ܫ3O/3Cm5^ύB'<Twv|1-arZxնX7 ۭ~̡??ׯ]Iɉ m6}LPpf&[\B>t"~dݫase~z~64SU+B)?H%TFaI/ƐZ{qz|x>8~#Wj2mLw'9=Kr{tXk,J#M<&qVQ-j#qXK)Ekq_KY#O{sCSs^0n!b<%Lm O8NT0*eo?9=6}!1<ry`|!;20D6B߅pF[q7IK :%Ǔ\,"1MZl$"se{D)Um}խf2agD@8*BTŤ|d޿Q4w <*/@VKT1:){̅j2ɏxT-ẅxiOPfe"FmJqPIgNghOBqxr-Q0B]KxoF|۴j
SevߵE}JH`a_ͨT=Ó+S\a86&8/t\xŕ4:K, T&Ї@_z %TD\sO[; aP8J_-"NgM4Uـ*eP`#+Wg~Uv bf9<"_<Պ7K4*Rsӱ?ノ"ͫ/C˄S=<3\_
y4G7zJ3UOe	B,ٶ<LW؎X/B49C. ~	[Hstڂ?"JFT25H50
3࿛Dcd&4w:"t6%ݿ"%C?,Rlkڹo}鑜VMd
Q84D]Duӕyi8QGa.TnpcyOSq K\TqK
q	C436Eu8Pou,
~8PO9"lcrO4w kZ LWSVCIR8c2=3[O4+Kj	Z-шnq%TlA|l:8'Iᣉ̰}0Β~|]HV@:馜}?wSRz[{$|k`=1XQ(l"Y\:3]ɄsQ	
=w97P!{pmUWx84 (2<k>3'{+j܀ksyS~ EaMb6zR]wm6C{'!"৓UuIdX뗦rgx?:PLgZHۺ".T=J,}v7fj:p$Ŏ("h&4v]̮%b+RٺWfyJӣHXk ;GCWoP;T+fKSi91`q?C7޴x/OvN^yuv	8t	
]6ZPr|*W3p;΍DIBM?`sz\;z49gs("ʳK3^yk:w*ʑ%cA ItG0J{eYzU#c뗛|&3`?b<PsHVaK3/0FP}j5]C92ǋA?,ߤVeJg 2ڝ3Kq+3}OkeBM~"k\4ֆf6̙@wb`.G)zaF/PZ0.X.<u7	
G1FZy/YBOxLx7L)yLD:p'u&"Vէߍ3Xxcm$0Q,9
n33_[j&9(g6ISr>Nt,*8j~jŷ R1N!ULu.5Chˍ)(1&8*v̅;5"Q8L)sB׆D3w\
Wލth9iW;ٳQ&GY8V+YgFI#5jl-oFF4ivL{k+ d]=>F x5M4zc6aUin欮^xTpݙz5L{}Y|T&	~6$ďElx"ܯ
]ҷ!̮
Nbx(a0T%Bἱ8<*z^vS5Wyfzh:P/p|"sf&9Rq7:Jj4xQ+s`a{2ឬi(cʁAU	J;\˯JOG
4ɽaBn1B+_,B'=<@LS\q7J_YBCV4%`O`%+Q&)jO\rNaCI'2ł>h5c4Rn$XF\҃
J6R@Bey[.h[\~yKdY!fT&!uPL^$7ML=><~Q?h: shXgB08_a !#/ۻn2DCuΕMy>ToOL_Kf`DyaQ-&1C&Cϭ(67H!ItP|-ZIS2ͼ)]8U/7
f >M_֢cO	`E(D	HM(}[9|Ȅ>li=MPـjSU+ Ԟ]{(DVYJGm{=CR~'"!01'EM<lhiLsKJG;Ă@@d)!^Xы³Lnp612j[S t7Wm	k0pT0I`7	OՔWBA-_-_Z/ZqALǵ\9ǿ"#x5PCHgFx~@b|1{m]օh3AFV"}۔TLS`n#uI┌&K^Ҹhj5ExôxOhf .d o@DӐ-#l!ⵁ֐},'\@'}X$rs?s'G#>ҁ!	|[7y7lWRJ?!H
Öe~y(B5	918LݶQԃ-ON߹H,W4N0ĘWr3`gKȺݣءљ:ıܟj`wX*^@Wګu_0p^筗A-E MjzH]Zg>nC"/&+k!gjqs@3
EMഡ{@Z|	%y6vIj-eqt'(0>~"ށv"ro!'ROb(	j[X@RycTIY^o\ܝR QP)x<rQ5;(Z
#Y#`O=M{zǘ1]r*vCbLR8+:GlXRKè:/YD6sq&N.SQ'FaQ+!\=;M&wb2+7yQIYY/êseK2{	=5y*}"@=ؾ\~:*?sJ"br~W?`mD=}1*=L;E{MEZTe9wrk+<)IGVδv:IE:3@QcːpnJayh>$wxs7><&p8	P23a젡=|5?1!xY5^
^b{XB2#	[ʳن3 C#-xOد킇Vr	/
$Ju:];2u6YcN/n.ʗ'5bv |&IQ~lF>{y??H|a`)~EFb&<RU'RTZln]/dLZ{K[D#|U6~'hj8f!t)K*ާ6ko<AŁڇͬ)zTo#LnvA]fLkF]"R8ۡo098njK_)Gw2z\x堀Z:[-CqXqSi\ilm,swϧ(/]_0gԇ]qvߒ=NY$"1
k5֑"bUiJ_^xPԷ!H {$ѭ6@u<?FDEe;Ce'c.RiP=[xn "
}޵ugE_E=R̸T]y+{ ߽yRh6FusF'/'6ޥ7@|@m..u몫?ׯ֟xXKNS¹s3$ֿ?wIb޻9mLtZ	J%*#sSTg0G,Ao;(/p~}u/@F<X:cF`<v	xlDOT GpIA2䰼g]G;8Ga}וk*Dz4&_}-"tzįGIJZ˗,U}~Ce<0WΑ?&e orS/lds<ntb4E'}'&.	ࡊJB"nz/!$i^QlJrr8=	<ǟ4
z3x%E$ʱv;\' 1/@.*W6pl1-5

4//1Rx賮BvyieP&3.;IJQt2*,Y%$a#I=FB|q6"]ԕa	%NY6{?xhЮ#j0;ݔA]lʚ+J3+X#Kq""KsvcMS<Ȅf]:mӴc.݂2 ЙU_EO#P70RXWg|;&g|	_5N8Rn8MW=\GVd1AzL#ߚeymHbΊ)~JksT1e.`C^R{:V׃ŉ(Zb@hIZ
%5,nP"y4@aD0+c7[̈aO)!+Qi邦^De{AM+=&b._{]<syP1Û Mrqu;rvɦb:4/>̟k	~;'ݳ.<A}m<5\֮cDTJm!.P|KU-m©䉢VHRu-QP.U5>~ġC<D=5o!6axќ	*s9,'7 4ϙwg1.8:j*`6$}V$/_ϯyZM5:Lfh{gQGSKx0?uǚzݷ=m4'Pc^DCd\6񇔃0ەJTb?Lǉ-47+ݒjORn;=>H9ZB?$mXK#~8H8+s@3dޱݓ囶)E}ebjg:ٙоJHArN=$s
nAc4an$!#_k,[1!,}^y!Vk՜j>>xU"vRB.E &*$U]i#l`%v͚?~%*;g},uId[h`&P	O͆5Q V`G9鮏	w-X6n-G:V ե%bR96´pfFӂZj\v{%˻ϥNy$П38ZdFf6R:Im{}s3Op3%SD^wbO- KJHMm9!ӽ#Q̀nj>=V 0x:}C`pv]Ijl:_6KuDS"7%5N9!VyT]켋5X>1%dn
7*Bt};:$z(H`?m4ERҊ>yJlQD$FwMT3j+"p&}-F<Iw'˩,P #gt;:'>B0w]h_)Rn1e;<MK%Zt, UdqXW+bvOWhd\'kְ}Sa@pxu+)SPJ6Cn?~݆ep\H4"yJ"-quzыszɐM`|T`TpQPo,٭ n$Kdavp~*? Ev}FJ泡`0CV=sfο0嶹goKENE+ R-6<T0__5M6'>pWr| <5ՃT31IP}[6wieMv<=PF9_6)z&4%U	D`w@X)~ַgƌ՗-dۖOv[@	ĂkLݞA5v%EuUK
M×Op`k
{܉bKpeٖ9poi|jሲ;F	lCS+d8
Zz

%k:A[pzi!m.x=mKb>PrMVa&o|lQb} /o/ciފ:x QWkn_9_w"^nvkA`tX|/Aڟ'zrX<H.}VmN3 yyEeHoٖF
blI[@D1 HfwC~sm'@eӏrDT&(\x$^qְx|sDC2+2FLnc=\ΫRvr-hn:a(G|f)2mXtjZ+X"'biS٢ֶ֦j=_ɗdl1drd+lK^h3@5juZCVD&8a^BaSw^ZLp,7"CfOU=zJ+7u*D^"%a\ucK#nmR(֔
Cwzbq$rq2;F@7`6Z:t]2Uú=7m2hM꟢-W.t# o6Mf@UL?}%j(ZP$]	~TJușB%ɯAgRzEPc8rׄ-*8'-BcBZ7J]{J^ԃ֍U=D1FÐ@'?&ܙ|Q>h۱/EB}o\p ,|<@f}XI)&1:^|GjL7p@̸WqQIwUZjh|Z%W^[ͷOs*_kh!ܳ-/31U81}H9E!엉g 8ī1*'>4Rf_<<;N],E@~hΥc;\.`hvږ[pzɱzOHGAN! ~ao!vI0T`lzYnP\ac[AQKPPX$1(bc>S;ۛPn%m
òbWK|9|6Ϩ0\&#'sҹn\=Q	|wZkjו
nwr)ҼrjķhíEhiθ8>6oݟLD@#E9MC4yqhlՃ鄘SV)l/~\`#m3ިPMbD=Hf)QtXD<.\wwGP-2HmLOO'5p8=",y&6q!Ô
bBp3aJKuzOs[ iS4G+v:9 3E蛊)PXbZ`j2h랕%.4Yu}x+bs5>A)~n]$ᮬ1'QYj
Z@5.<
ɢKQ*Fx!,>Y辢P^C
V}]Y6ۛsi5>y}<;t:Pb
A74_^e)$7nroP;tw
:SyLql
;+dcBIHTMͭ{h(>YQ?H^|d~br0]ut+%IE+?+AEԕeCboϺbf g$\@}]lnI"͔O;qSWO]w=c3bT	7I:GαB)ԿbZ,vEgXx#kQ=\
z/ynvzt귍+TZ7yV2G2:3A#pb%'o1Nt3se`̗0(Aw=mnE4R3XYO˓ܸRBѠOf0x Ul.6=,롑4VLYie[ ycN/:>i("wmTo1\>hD?/
,~Uygy@9)߶𖟛Ƃ"Wo.w{+ފ"DP̿jz2p6S|[:8M$XsVز#?#h@APwjop*oz>hqmz0'\[ k,U<Qcؑ\GHdd2uoݧmޙֹ>da@{}O7+U0B]پ3qνnڠU (pa	_ա=X8:8^-^g7=9I>}E5Y2Hڠ]dФ(HNܧM,TZfr!'7-z/O8vo:'>"v'IgõUN݂GΚO[1flpL+}EMK[}'i./)ŮM:]_&دV)+w]DI?]5qpʔh9|kB\Qa̝5Ai_L$1(:j[(kKuAк~>k0P^q݅>yjl IB/ʭ    	. Dg    YZ